/*
 * PROJECT INDEPENDENT STRUCTURE DEFINITIONS FOR WISE
 *
 */

#define WISE_TEXT    0
#define WISE_SELECT  1
#define WISE_RADIO   2
#define WISE_CBOX    3
#define WISE_TAREA   4
#define WISE_PASSWD  5
#define WISE_INT     6
#define WISE_HTML    7
#define WISE_LOG     8
#define WISE_DATE    9

#define WISE_R       0
#define WISE_RW      1
#define WISE_W       2
#define WISE_H       3

#define WISEBUFMAX   16611
#define WISEMAXATT   10

#define WISESEPCHAR  '|'
#define WISESEPCHARS  "|"

typedef struct {
  char* field;
  int fieldtype;
  int fieldwidth;
} WiseField;

typedef struct {
  char* field;
  int fieldwidth;
} WiseTDLField;

typedef struct {
  char* projectname;
  WiseField *fields;
  WiseTDLField *tdlfields;
  char* database;
  char* label;
  char* dbhost;
  int dbport;
  char* projectimage;
} WiseProject;

typedef struct {
  char* user;
  char* role;
  char* project;
} WiseUserRole;

typedef struct {
  char* project;
  char* role;
  char* condition;
} WiseTdlAccess;

typedef struct {
  char* project;
  char* role;
  char* field;
  int   access;
  char* condition;
  char* values;
} WiseViewAccess;

typedef struct {
  char* project;
  char* role;
  char* condition;
  char* label;
  char* program;
} WiseAction;
